Get Fleet Server hosts
- Base URL
-
https://{kibana_url}
-
GET
/api/fleet/fleet_server_hosts
-
GET
/s/{space_id}/api/fleet/fleet_server_hosts
Auth
List all Fleet Server hosts.
-
Privileges
fleet-agents-all
or
fleet-settings-read
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
items
object[] · max items: 10000
required
-
-
allow_edit
string[] · max items: 100
-
host_urls
string[] · min items: 1 · max items: 10
required
-
id
string · min length: 0
required
-
is_default
boolean · default: false
-
is_preconfigured
boolean · default: false
-
name
string · min length: 0
required
-
proxy_id
string · min length: 0
nullable
-
secrets
object
-
-
ssl
object
-
-
agent_key
union anyOf
-
Any of:
-
id
string · min length: 0
required
-
es_key
union anyOf
-
Any of:
-
id
string · min length: 0
required
-
key
union anyOf
-
Any of:
-
id
string · min length: 0
required
-
ssl
object
nullable
-
-
agent_certificate_authorities
string[] · max items: 10
-
certificate_authorities
string[] · max items: 10
-
client_auth
enum
-
Values:
optional
required
none
-
es_certificate_authorities
string[] · max items: 10
-
attributes
object
required
Thank you for your feedback.